F5 Networks BIG-IP:Vim/Neovim 漏洞 (K93144355)

high Nessus 插件 ID 176362

简介

远程设备缺少供应商提供的安全补丁。

描述

远程主机上安装的 F5 Networks BIG-IP 版本低于测试版本。因此,该应用程序受到 K93144355 公告中提及的漏洞的影响。

- 8.1.1365 之前的 Vim 和 0.3.6 之前的 Neovim 中的 getchar.c 允许远程攻击者通过 modeline 中的 :source! 命令执行任意 OS 命令,如 Vim 中的 execute 以及 Neovim 中的 assert_fails 或 nvim_input 所示。(CVE-2019-12735)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

供应商已确认该漏洞,但未提供解决方案。
请参阅供应商公告以获得修复指南。

另见

https://my.f5.com/manage/s/article/K93144355

插件详情

严重性: High

ID: 176362

文件名: f5_bigip_SOL93144355.nasl

版本: 1.4

类型: local

发布时间: 2023/5/25

最近更新时间: 2024/5/7

配置: 启用偏执模式

支持的传感器: Nessus

风险信息

VPR

风险因素: High

分数: 8.1

CVSS v2

风险因素: High

基本分数: 9.3

时间分数: 7.3

矢量: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

CVSS 分数来源: CVE-2019-12735

CVSS v3

风险因素: High

基本分数: 8.6

时间分数: 7.7

矢量: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/h:f5:big-ip, cpe:/a:f5:big-ip_access_policy_manager, cpe:/a:f5:big-ip_advanced_firewall_manager, cpe:/a:f5:big-ip_application_acceleration_manager, cpe:/a:f5:big-ip_application_security_manager, cpe:/a:f5:big-ip_application_visibility_and_reporting, cpe:/a:f5:big-ip_domain_name_system, cpe:/a:f5:big-ip_global_traffic_manager, cpe:/a:f5:big-ip_link_controller, cpe:/a:f5:big-ip_local_traffic_manager, cpe:/a:f5:big-ip_policy_enforcement_manager, cpe:/a:f5:big-ip_webaccelerator

必需的 KB 项: Host/local_checks_enabled, Settings/ParanoidReport, Host/BIG-IP/hotfix, Host/BIG-IP/modules, Host/BIG-IP/version

可利用: true

易利用性: Exploits are available

漏洞发布日期: 2019/6/5

参考资料信息

CVE: CVE-2019-12735